@media only screen and (min-width:640px) and (max-width:979px) {
    div[id^='screen_cases_block_content'] {
        width: 100%;
        flex-direction: column;
    }

    #cases_block_about_teacher,
    #cases_block_about_learning {
        width: 100%;
    }

    #cases_block_title {
        font-weight: 600;
        font-size: 25px;
        line-height: 120%;
    }

    #point_a_before,
    #point_b_before {
        font-weight: 600;
        font-size: 20px;
        line-height: 34px;
    }

    #cases_price_session b {
        font-weight: 600;
        font-size: 20px;
        line-height: 110%;
    }

    #block_point_a ul li:last-child {
        padding-bottom: 20px !important;
    }

    #cases_price_session {
        margin-top: 20px;
    }

    .price_from_to {
        margin-top: 0px;
    }

}

@media (max-width: 767px) {
  #screen_cases_block_cont {
    width: calc(100% - 30px) !important;
  }
}  

@media only screen and (max-width:640px) {
    #screen_cases_block_controls_items {
        display: none;
    }

    #cases_block_title {
        margin-right: 0;
        margin-bottom: 20px;
    }

    #cases_block_about_teacher {
        gap: 10px;
        flex-wrap: unset;
        flex-direction: column;
    }

    #cases_block_teacher_description {
        flex-direction: row;
    }

    #cases_block_mentor_pic {
        min-width: 150px;
        border-radius: 0px;
        height: auto;
        min-height: 150px;
    }

    #cases_mentor_pic img {
        position: relative;
        width: 150px;
        top: unset;
        left: unset;
        z-index: unset;
    }

    #cases_lap_1,
    #cases_lap_2,
    #cases_lap_3,
    #cases_lap_4 {
        display: none;
    }

    .backdrop_1 {
        background: none;
    }

    #cases_block_mentor {
        width: auto;
    }

    #cases_block_mentor_name {
        width: calc(50% - 10px);
        font-weight: 600;
        font-size: 26px;
        line-height: 110%;
    }

    #cases_block_mentor_old {
        width: calc(50% - 10px);
        text-align: right;
    }

    #cases_block_mentor_socialmedia {
        width: 100%;
        text-align: left;
    }
    #screen_cases_block_slide_nav {
        display: block !important;
    }
    
}